@umijs/fabric
    TypeScript icon, indicating that this package has built-in type declarations

    2.8.0 • Public • Published

    umi-fabric

    一个包含 prettier,eslint,stylelint 的配置文件合集

    A collection of configuration files containing prettier, eslint, stylelint

    Use

    安装

    npm i @umijs/fabric --save-dev
    yarn add @umijs/fabric -D

    in .eslintrc.js

    module.exports = {
      extends: [require.resolve('@umijs/fabric/dist/eslint')],
    
      // in antd-design-pro
      globals: {
        ANT_DESIGN_PRO_ONLY_DO_NOT_USE_IN_YOUR_PRODUCTION: true,
        page: true,
      },
    
      rules: {
        // your rules
      },
    };

    in .stylelintrc.js

    module.exports = {
      extends: [require.resolve('@umijs/fabric/dist/stylelint')],
      rules: {
        // your rules
      },
    };

    in .prettierrc.js

    const fabric = require('@umijs/fabric');
    
    module.exports = {
      ...fabric.prettier,
    };

    Install

    npm i @umijs/fabric

    DownloadsWeekly Downloads

    19,159

    Version

    2.8.0

    License

    ISC

    Unpacked Size

    32.5 kB

    Total Files

    18

    Last publish

    Collaborators

    • sorrycc
    • zinkey
    • yutingzhao1991
    • chenshuai2144
    • fan576679268
    • ycjcl868
    • kuitos
    • zombiej
    • tli4
    • wtzeng
    • litou.cjs
    • ariel-cheng
    • peachscript
    • xiaohuoni